#ifndef __APP__
#define __APP__

#define boolean unsigned char

#define true 1
#define false 0

#define enablePin   GPIOA,GPIO_PIN_1
#define txEnablePin GPIOA,GPIO_PIN_2
#define txPin       GPIOA,GPIO_PIN_3
#define rxPin       GPIOB,GPIO_PIN_3

#define HIGH 1
#define LOW 0

extern boolean disableRx;

#define digitalWrite(pin,value) HAL_GPIO_WritePin(pin,(GPIO_PinState)value)

#define millis() HAL_GetTick()

#define delay(value) HAL_Delay(value)

void loop();

void pinInterrupt();

void setup();

#endif